Skip to main content
GET
https://enterprise.spacemedia.uk
/
api
/
v1
/
tracks
/
{trackId}
/
unassign
/
{releaseId}
Remove Track from Release
curl --request GET \
  --url https://enterprise.spacemedia.uk/api/v1/tracks/{trackId}/unassign/{releaseId} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "0b4edc61-cf2d-4a92-bb20-37051d52d2f8",
      "title": "Midnight Signals",
      "links": [
        "https://cdn.spacemedia.uk/demo/audio/midnight-signals.wav",
        "https://cdn.spacemedia.uk/demo/audio/midnight-signals-preview.mp3"
      ],
      "metadata": {
        "version": "Original Mix",
        "secondary_genre": "Ambient"
      },
      "duration": 196,
      "language": "English",
      "iswc_code": "T0345246801",
      "isrc_code": "GBSMU2600001",
      "lyrics": null,
      "is_available_separately": true,
      "is_parental_advisory": false,
      "license_holder_year": 2026,
      "license_holder_name": "Demo Label Group Ltd",
      "primary_genre": "Electronic",
      "secondary_genre": "Ambient",
      "track_version": "Original Mix",
      "preview_url": "https://cdn.spacemedia.uk/demo/audio/midnight-signals-preview.mp3",
      "description": "Demo track used for public API examples.",
      "notes": "Demo track used for public API examples.",
      "input_format": "wav",
      "output_format": "wav",
      "original_file": "midnight-signals.wav",
      "documents_requested": false,
      "request_notice": null,
      "viewUrl": "/releases/f78c0f2e-4b30-4b33-87c5-e0bbd17b2b85/edit",
      "uploaded_by": {
        "id": "9d7046b2-3ab1-4c9d-9bd8-90bbd22b7df2",
        "uuid": "9d7046b2-3ab1-4c9d-9bd8-90bbd22b7df2",
        "organization_id": "2a8d3e82-4a9d-4e33-9d3b-85bb1a93e8d4",
        "organization_uuid": "2a8d3e82-4a9d-4e33-9d3b-85bb1a93e8d4",
        "name": "Maya Chen",
        "full_name": "Maya Chen",
        "first_name": "Maya",
        "last_name": "Chen",
        "email": "maya.chen@example.test",
        "phone": "+442071838750",
        "language": "en",
        "country": "United Kingdom",
        "address": "22 Demo Lane, London",
        "photo": null,
        "profile_photo": null,
        "verified": true,
        "email_verified_at": "2026-04-10T08:15:00+00:00",
        "last_login_at": "2026-04-18T08:45:00+00:00",
        "created_at": "2026-03-20T09:00:00+00:00",
        "updated_at": "2026-04-18T08:45:00+00:00",
        "is_suspended": false,
        "suspended_at": null,
        "invitation_status": "accepted",
        "is_invited": false,
        "roles": [
          {
            "id": "role-admin-demo",
            "uuid": "role-admin-demo",
            "name": "Admin"
          }
        ]
      },
      "artists": [
        {
          "id": "4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b",
          "uuid": "4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b",
          "name": "Nova Vale",
          "url": "/artists/4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b",
          "viewUrl": "/artists/4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b",
          "editRoute": "/artists/4cbb71fa-6e92-4a8b-9c3d-0b6811ef6f1b/edit",
          "artist_type": "Primary Artist",
          "spotify_id": "6dDemoNovaVale",
          "releases_count": 1,
          "tracks_count": 2,
          "total_releases": 1,
          "total_tracks": 2,
          "total_streams": 125000,
          "metadata": {
            "country": "GB"
          },
          "created_at": "2026-03-22T11:00:00+00:00",
          "updated_at": "2026-04-15T10:20:00+00:00"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.spacemedia.uk/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
string

Use application/json for API responses.

Authorization
string

Bearer access token. Use Bearer <YOUR_ACCESS_TOKEN>.

X-User-Id
string

Optional user UUID to perform the request on behalf of a user in the same organization.

Path Parameters

trackId
string
required

The ID of the track.

releaseId
string
required

The ID of the release.

Query Parameters

Search term scoped to the authenticated organization.

Response

Success

The response is of type object.